﻿using SoftwareInstallationDataModels.Models;

namespace SofrwareInstallationContracts.BindingModels
{
    public class PackageBindingModel : IPackageModel
    {
        public string PackageName { get; set; } = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> PackageComponents { get; set; } = new();

        public int Id { get; set; }
    }
}