﻿using SofrwareInstallationContracts.BindingModels;
using SofrwareInstallationContracts.SearchModels;
using SofrwareInstallationContracts.ViewModels;

namespace SofrwareInstallationContracts.BusinessLogicsContracts
{
    public interface IPackageLogic
    {
        List<PackageViewModel>? ReadList(PackageSearchModel? model);
        PackageViewModel? ReadElement(PackageSearchModel model);
        bool Create(PackageBindingModel model);
        bool Update(PackageBindingModel model);
        bool Delete(PackageBindingModel model);
    }
}