﻿using SofrwareInstallationContracts.BindingModels;
using SofrwareInstallationContracts.ViewModels;

namespace SofrwareInstallationContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportPackageComponentViewModel> GetPackageComponent();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);
        void SavePackagesToWordFile(ReportBindingModel model);
        void SavePackageComponentToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);

    }
}
